IntelliJ IDEA 11.1.2 released

Today we’ve released a new update for IntelliJ IDEA 11, version 11.1.2. Noteworthy changes in this update include:

  • BuildConfig.java support in the Android plugin;
  • Adobe AIR Native Extensions support;
  • Improved compatibility with GNOME 3 and Ubuntu 12.04;
  • Improved Subversion 1.7 support;
  • Improved Perforce integration performance;
  • Many bugfixes related to Maven, Android, JavaScript, Flex and other areas of the IDE.

You can download the new update or install it directly from the IDE using the “Check for Updates” action. The complete release notes are also available.

This entry was posted in Releases and tagged . Bookmark the permalink.

27 Responses to IntelliJ IDEA 11.1.2 released

  1. Lt. Templeton Peck says:

    Can I upgrade within the IDE or do I have to install this separately? When I click “Check for Update…” I have the option to download but that opens a webpage to get the standalone install.

  2. yole says:

    You can upgrade within the IDE if you’re running either IntelliJ IDEA 11.1.1 or the 11.1.2 RC build.

  3. Nerzhul says:

    Wow! I noticed great performance improvement. At least of project loading.

  4. Lt. Templeton Peck says:

    I’m on the RC build (Nika.1 IU-117.281) and there’s no upgrade option, unless it’s hidden somewhere else?

  5. Nerzhul says:

    I’ve updated from build 359, not sure about 281.

  6. yole says:

    117.281 is not the RC build, it’s an old EAP build. There is no patch available from it to 11.1.2.

  7. david says:

    My coworkers are telling me that “11.1.2 seems to break references
    to packages in other projects”, ie. there may be a Maven problem. Is anyone seeing this? I’ve already updated. Is there any way for me to roll back to 11.1.1?

  8. yole says:

    David,
    It would be better if you provided specific details on the problems you’re experiencing, not vague suggestions.
    IntelliJ IDEA 11.1.1 is still available for download; you can download and install it side-by-side with 11.1.2 if you’d like to.

  9. david says:

    When doing a Build on our maven project, the IDEA throws errors when it encounters Java classes outside of the core project. This did not happen in 11.1.1. The poms are correct. If this is insufficient detail then never mind.

  10. JB says:

    I have same problem as David : I’m using Maven and since upgrade I have lot of dependency problems.

  11. JB says:

    To fix that replace “file://$MODULE_DIR$/../../target/” or “file://$MODULE_DIR$/../target/” (depends of your project level number) by “file://$MODULE_DIR$/target/”.

    So annoying that I’m thinking to rollback.

    By th way II have still the compiler bug forcing Java 1.7 compilation on all modules even if some of them are using JDK 5 et 6… (need to change that manually too after each maven synchronization).

  12. Aaron says:

    When I try to update I get a long list of conflicts, mostly jar files, with a listed problem of access denied?

  13. Joseph says:

    This update broke my scala plugin and for some reason I can’t reinstall or download it
    http://plugins.intellij.net/plugin/?idea&id=1347 times out whenever I try to.

    Makes me a sad because I foolishly didn’t backup my previous version.

  14. svaret says:

    I have the same problem as Aaron. Running Ubuntu 11.10

  15. Jim says:

    I’m seeing the same issue as Aaron. I’m running OSX 10.7.3 and the IDEA updater just lists access denied conflicts. Any suggestions as to what the solution might be?

  16. Giles says:

    I don’t appear to be given the option to run Flex Air apps any more, just flash, have you discontinued support?!

  17. Alexander Doroshko says:

    @Giles Flash run configuration is universal and allows to launch Web-, desktop- and mobile-targeted applications. It depends on the target platform of the Flash Build Configuration selected for the Run configuration. See more in Help and here: http://blogs.jetbrains.com/idea/2012/02/new-flex-project-setup/

  18. Simon Rydberg says:

    Well the last update broke my scala-plugin as well. I can’t see any traces of scala in Intellij’s settings or in my projects. The plugin is marked red in the plugin list also.. :-(

  19. yole says:

    Simon,
    Press the “Update Plugin” button in Settings | Plugins to install the latest version of the Scala plugin.

  20. John Costanzo says:

    I am trying to run a testng test that works just fine with Eclipse and older versions of IntelliJ. In the run window it says No Test Results. On the right side it says starting and there is a big long command it is trying to run. Any thoughts?

  21. Anna Kozlova says:

    Please try 11.1.3 EAP or use compatible with 11.1.2 testng version (<=6.2). There were incompatible protocol changes in testng which lead to test hanging.

  22. kemsky says:

    Flex/Air configuration in 11.1.2 is just awful(this is not exact word). It is almost impossible to create usable configuration for air application which contains multiple source folders (main app, extension and extension native part). Configuration(all of them: module, build, launch) is complicated and leaky. I don’t even want Idea to build my project, just to highlight code and errors. Is it possible to get a complete directory structure in the project panel instead of few source dirs?? and how i am excpected to use version control for other files, command line? Overall very bad.

  23. Alexander Doroshko says:

    @kemsky Most of users find new Flex project setup easier and at the same time more powerful and flexible. Please take a look at the blog post (http://blogs.jetbrains.com/idea/2012/02/new-flex-project-setup/) and for further questions please start new thread in our forum (http://devnet.jetbrains.net/community/idea/ideacommunity) or write directly to me (alexander [dot] doroshko [at] jetbrains [dot] com) – in any case I promise to do my best to solve all you problems and to fix usability issues and bugs if you find any.

  24. Nikhil says:

    1)Will Intelliji IDEA 4.5 compatible on windows2008 server?
    2)Is it possible to Open Projects designed in Java1.4 versions in Intelliji 11.1.2 and build them?

  25. yole says:

    1) There is no official support, but I don’t see any reason why it wouldn’t work.
    2) Yes, IntelliJ IDEA 11.1.2 fully supports Java 1.4.

  26. Jorge says:

    How do I add a native extension to my module/project?

  27. Alexander Doroshko says:

    @Jorge Are you asking about AIR Native Extensions? Just add *.ane file(s) at the Dependencies tab of the Flash build configuration (Project Structure dialog).

Leave a Reply

Your email address will not be published. Required fields are marked *

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>